### Constructor

# Gtk PopoverMenu new_from_model_full

#### Declaration [src]

    GtkWidget*
    gtk_popover_menu_new_from_model_full (
      GMenuModel* model,
      GtkPopoverMenuFlags flags
    )

#### Description [src]

Creates a `GtkPopoverMenu` and populates it according to `model`.

The created buttons are connected to actions found in the action groups that are accessible from the parent widget. This includes the `GtkApplicationWindow` to which the popover belongs. Actions can also be added using gtk_widget_insert_action_group() on the parent widget or on any of its parent widgets.

The only flag that is supported currently is `GTK_POPOVER_MENU_NESTED`, which makes GTK create traditional, nested submenus instead of the default sliding submenus.

#### Parameters

`model` | `GMenuModel*`
| A `GMenuModel`.
| The data is owned by the caller of the function.
`flags` | `GtkPopoverMenuFlags`
| Flags that affect how the menu is created.

#### Return value

Returns: | `GtkWidget`
| The new `GtkPopoverMenu`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.